Using JDK 1.5 syntax instead of JDK 1.3

Hello

In our project we're using JDK 1.3.1. Though I configured Idea (EAP build 3260) to use JDK 1.3, I get syntax errors as if JDK 1.5 would have been configured.

Is this a known problem or is a workaround/fix available?
cheers
pat

5 comments
Comment actions Permalink

just as an addition to my previous post: the correct IDEA terminology would be "language level" (which is set to 1.3 for the project, though 'enum' is handled as key word).

cheers
pat

0
Comment actions Permalink

Have you restarted IDEA after changing the language level? It could also be the "Use of 'enum' as identifier" inspection, then you should get an intention to edit the settings of inspection.

Bas

0
Comment actions Permalink

Hello Bas

Have you restarted IDEA after changing the language
level?


The language level was initially at 1.3. I then set it to 1.4, pressed Apply, set back to 1.3, pressed Ok and restarted IDEA. Didn't help.

Then I switched to 1.4, restarted IDEA, switched back to 1.3, and restarted IDEA once again. Didn't help neither.

Now, as I checked to answer your second question, the behaviour is correct. No idea why. (I did several restarts of IDEA since, however.)

It could also be the "Use of 'enum' as
identifier" inspection, then you should get an
intention to edit the settings of inspection.


I'm fairly, but not absolutely, sure that it was not due to inspection. At least I didn't change anything there.

cheers
pat

0
Comment actions Permalink

Hello Pat,

Lisser wrote:

Now, as I checked to answer your second question, the behaviour is
correct. No idea why. (I did several restarts of IDEA since,
however.)


Glad to see it works for you now. If you have a way to reproduce your
problem you might still want to file a bug report.

Bas

0
Comment actions Permalink

Handling enum as keyword with language level 1.3 was a bug introduced in
3260 and fixed in 3265

Regards,
Eugene.

"Lisser" <no_mail@jetbrains.com> wrote in message
news:25518861.1111565677468.JavaMail.itn@is.intellij.net...

just as an addition to my previous post: the correct IDEA terminology

would be "language level" (which is set to 1.3 for the project,
though 'enum' is handled as key word).
>

cheers
pat



0

Please sign in to leave a comment.